Bug Hunting Session
Bug 60543 - Remember the URL of the currently applied personas
Summary: Remember the URL of the currently applied personas
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Firefox-Themes 88502
  Show dependency treegraph
 
Reported: 2013-02-09 14:17 UTC by Heine Pedersen
Modified: 2018-09-22 10:51 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heine Pedersen 2013-02-09 14:17:16 UTC
It would be nice if the select Personas dialog would remember the URL to the currently applied persona. Even better would be a list of all personas that have been applied, so that it is easy to choose between them.

It would also be nice if this list was editable, so that you could delete personas that you do not intend to use again.
Comment 1 Yousuf Philips (jay) (retired) 2015-08-14 12:42:54 UTC
The URL field was removed in 4.4 and bug 88502 is for reintroducing the field, so it likely useful for the URL to be retained in the field when reopening the dialog.
Comment 2 Yousuf Philips (jay) (retired) 2016-06-08 10:26:03 UTC
@Susobhan: Is the URL of the firefox theme saved anywhere, so we can make the name shown in the Personalization tab a link?
Comment 3 Peter Maunder 2016-06-12 09:36:55 UTC
The URL is not, as far as I can tell stored. However, the Personas themselves are in a folder for each personas after LibO 4.4, for example on my Linux Mint 5.1 system, 
Folder .config/libreoffice/4/user/gallery/personas/Office 2003 for LibreOffice/

Personas files: header.png, footer.png, and preview.jpg.

The font settings are lost but can be restored using the EXPERT CONFIGURATION.

On Advanced Settings > Open Expert Configuration
Search for Persona. You will find two MISC settings Persona and PersonaSettings.
You can edit these string settings. 
Persona should be set to	own 
and PersonaSetttings should be set to the individual Personas Folder  and files found in the user/gallery/personas folder. 

For example in the Personas-OCH folder
Personas-OCH/Header.jpg;Personas-OCH/Footer.jpg;#ff0000;#f5f5f5
Where the first # point to the text #rrggbb colour. #ff0000 is plain red in this case. The second colour setting is ignored.

ON a recent survey for the Firefox Personas Plus Add-on, the ability to install themes privately on your own computer was rated most important feature. In my case, I only install private Personas I have created myself and reside only on my system. I would welcome LibO providing this support
Comment 4 Susobhan Ghosh 2016-06-15 14:11:01 UTC
Sorry for the late reply.

@Peter: I'm sorry, I didn't get what you meant to do/achieve using the EXPERT CONFIGURATION changes.

So, as Peter said, URL is not stored, but it can be done and showed on the personalization dialog along with the theme name (I can't do it now due to GSoC; maybe an interesting easyHack?).

As for all the applied personas, I see as Peter pointed out that they get stored in the user/gallery/personas folder (I realized LODev stores it in instdir/user/gallery/personas which I was previously unable to find). Point is, some folders get created to store only preview files, some store actual personas, and these personas are 2 files + preview. But these 2 files have non-standard naming - it can be 1.jpg and 2.jpg, or firefox-heater.jpg (yes heater) and firefox-footer.jpg, or as Peter mentioned header.jpg and footer.jpg.

Imo, the idea to reuse the ones stored in the folder + adding custom ones (as Peter suggested) is a pretty valid request.
Comment 5 Muhammet Kara 2018-09-21 21:31:50 UTC
We can now retrieve the URL of the applied theme, thanks to commit 4cc71fef5a4fd05b2ee2953dd8a297ffffff29a0
Comment 6 Commit Notification 2018-09-22 10:43:08 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac2dff01460f8ef0c23fbf51f3666218b00c0c66

tdf#60543: Remember the URL of the currently applied persona

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Muhammet Kara 2018-09-22 10:51:12 UTC
The URL of the applied persona is remembered, and shown as a link on its name. So the original request seems resolved.

The second wish about the personas history can be followed from https://bugs.documentfoundation.org/show_bug.cgi?id=61311